
void Scan() {

    gStyle->SetOptStat("i");

    TCanvas * c = new TCanvas("c");
    c->Divide(2,2);

    c->cd(1);
    TFile * f1 = new TFile("../output/scan13.root");
    TTree * t1 = (TTree*)f1->Get("Detector");
    TH2F * h1 = new TH2F("h1", "h1", 100,0,1000,100,0,2000);
    t1->Draw("EDepV2Front:EDepV2Signal>>h1", "EDepV2Front>50 && EDepV2Signal>50", "colz");
    h1->Draw("colz");

    c->cd(2);
    TFile * f2 = new TFile("../output/scan15.root");
    TTree * t2 = (TTree*)f2->Get("Detector");
    TH2F * h2 = new TH2F("h2", "h2", 100,0,1000,100,0,2000);
    t2->Draw("EDepV2Front:EDepV2Signal>>h2", "EDepV2Front>50 && EDepV2Signal>50", "colz");
    h2->Draw("colz");

    c->cd(3);
    TFile * f3 = new TFile("../output/scan17.root");
    TTree * t3 = (TTree*)f3->Get("Detector");
    TH2F * h3 = new TH2F("h3", "h3", 100,0,1000,100,0,2000);
    t3->Draw("EDepV2Front:EDepV2Signal>>h3", "EDepV2Front>50 && EDepV2Signal>50", "colz");
    h3->Draw("colz");
    
    c->Print("scan.png");
}
