
#include <unittest++/UnitTest++.h>

#include "VKDetectorConstruction.hh"
#include "VKPhysicsList.hh"
#include "VKActionInitialization.hh"
#include "VKRecorderRoot.hh"

#include "G4RunManager.hh"
#include "G4UImanager.hh"
#include "G4SystemOfUnits.hh"


SUITE(VKOpticalPhysicsTest) {

    class SetupFixture {
        public:
            SetupFixture()
            {
                // do nothing
            }
    };

    TEST_FIXTURE(SetupFixture, Sanity) {
        CHECK_EQUAL(1, 1);
    }
    
    TEST_FIXTURE(SetupFixture, TestOpticalPhysicsOn) {
/*    
        // delete run manager
        delete G4RunManager::GetRunManager();    

        // create new run manager
        G4RunManager *runManager = new G4RunManager;
        // recorder
        VKRecorderRoot *recorder = new VKRecorderRoot();
        // initialization
        G4bool opticalPhysicsOn = false;    
        // detector
        runManager->SetUserInitialization(new VKDetectorConstruction());
        // physics
        runManager->SetUserInitialization(new VKPhysicsList(opticalPhysicsOn));
        // action
        runManager->SetUserInitialization(new VKActionInitialization(recorder));

        // get pointer to UI manager
        G4UImanager *UImanager = G4UImanager::GetUIpointer();

        // Only check for overlapping volumes when detector is initialized (above)
        UImanager->ApplyCommand("/VK/detector/volumes/checkOverlaps false");
    
        // keep only beta detector in setup
        UImanager->ApplyCommand("/VK/detector/volumes/betaDetector true");
        UImanager->ApplyCommand("/VK/detector/volumes/magnet false");
        UImanager->ApplyCommand("/VK/detector/volumes/catcherFoil false");
        UImanager->ApplyCommand("/VK/detector/volumes/shield false");

        // do *not* store trajectory data
        UImanager->ApplyCommand("/VK/storeTrajectoryData false");

        // disable magnetic field
        UImanager->ApplyCommand("/VK/field/enable false");
    
        // enable info messages
        UImanager->ApplyCommand("/VK/eventVerbose 1");
    
        // disable optical physics
        UImanager->ApplyCommand("/VK/physics/opticalPhysics true");

        // initialize run
        UImanager->ApplyCommand("/run/initialize");

        // simulate 3 MeV electron in detector
        UImanager->ApplyCommand("/gps/particle e-");
        UImanager->ApplyCommand("/gps/energy 3 MeV");
        UImanager->ApplyCommand("/gps/direction 0 0 1");
        UImanager->ApplyCommand("/gps/position 0 0 30.5 cm");
        UImanager->ApplyCommand("/run/beamOn 1");

        // disable info messages
        UImanager->ApplyCommand("/VK/eventVerbose 0");
*/
    }

}
